package domain


type AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult struct {
    /*
        门店商品总数     */
    Total  *int64 `json:"total,omitempty" `

    /*
        游标     */
    ScrollId  *string `json:"scroll_id,omitempty" `

    /*
        页码数     */
    PageCount  *int64 `json:"page_count,omitempty" `

    /*
        门店商品模型     */
    ModelList  *[]AlibabaWdkSkuStoreskuScrollQueryWdkOpenMerchantStoreSkuDo `json:"model_list,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        每页条目数     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        页码索引     */
    PageIndex  *int64 `json:"page_index,omitempty" `

}

func (s *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult) SetTotal(v int64) *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult {
    s.Total = &v
    return s
}
func (s *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult) SetScrollId(v string) *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult {
    s.ScrollId = &v
    return s
}
func (s *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult) SetPageCount(v int64) *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult {
    s.PageCount = &v
    return s
}
func (s *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult) SetModelList(v []AlibabaWdkSkuStoreskuScrollQueryWdkOpenMerchantStoreSkuDo) *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult {
    s.ModelList = &v
    return s
}
func (s *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult) SetErrMsg(v string) *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult) SetErrCode(v string) *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult) SetPageSize(v int64) *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult {
    s.PageSize = &v
    return s
}
func (s *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult) SetSuccess(v bool) *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult) SetPageIndex(v int64) *AlibabaWdkSkuStoreskuScrollQueryApiScrollPageResult {
    s.PageIndex = &v
    return s
}
